function [D_hydro_tmp] = Diss_hydro(x,x_1,C_phi,C_phi_1,dt)
global Invariant ini_Val Material Constraints 

[C,C1,C2,C3] = interpolate(Invariant,x);
[C_1,C1_1,C2_1,C3_1] = interpolate(Invariant,x_1);

[phi, d_phi, dd_phi] = interpolate_func_2(Invariant,C_phi);
[phi_1, d_phi_1, dd_phi_1] = interpolate_func_2(Invariant,C_phi_1);

Aux = auxiliary_calculations(Invariant,ini_Val.p,Constraints.C0,C,C1,C2,phi,C3);


D_hydro_tmp = sum(4*pi* Material.mu *Aux.au.*((C(:,1)-C_1(:,1))/dt).^2./C(:,1).*Invariant.gweight);